REST API›Wallet & Transact›Transaction request

POST

Create a signature share for the transaction request

Allows users to supply their signature share for signing. Use only with MPC wallets.

Path Params

  • walletId string required
    The ID of the wallet
  • txRequestId string uuid required
    The ID of the transaction request

Body Params

object

Create Signature Share Request Body

The request body for supplying a user signature share. At least one share must be supplied, either in signatureShares or in the deprecated signatureShare.

  • signatureShares array of objects required

    User-provided shares to be used in the ECDSA or EDDSA MPC signing flow.

    Must contain at least one share when supplied. Takes precedence over signatureShare.

    signatureShares object
    • privateShareProof string
      The private share proof
    • publicShare string
      The public share
    • vssProof string
      The VSS proof of the signature share
    • from string enum required
      The source of the signature share.
      userbackupbitgo
    • to string enum required
      The recipient of the signature share.
      userbackupbitgo
    • share string required
      The signature share
  • signatureShare object

    A user-provided share to be used in the ECDSA or EDDSA MPC signing flow.

    Deprecated: use signatureShares instead. Required when signatureShares is not supplied.

    signatureShare object
    • privateShareProof string
      The private share proof
    • publicShare string
      The public share
    • vssProof string
      The VSS proof of the signature share
    • from string enum required
      The source of the signature share.
      userbackupbitgo
    • to string enum required
      The recipient of the signature share.
      userbackupbitgo
    • share string required
      The signature share
  • signerShare string

    An openPGP ASCII armored message containing the previous signer's offset secret share.

    Encrypted to the known HSM public key. Must be provided when uploading an R share.

  • userPublicGpgKey string

    The user's public GPG key.

    Used by the signing flow to encrypt shares back to the user.

  • attestation object
    WebAuthn assertion authorizing this request.
    attestation object
    • authenticatorData string required
      WebAuthn authenticatorData (base64url)
    • clientDataJSON string required
      WebAuthn clientDataJSON (base64url)
    • credentialId string required
      Passkey credential ID used to locate the registered authenticator public key
    • signature string required
      WebAuthn assertion signature (base64url)

Responses

201
Created

Response Body

object

  • vssProof string
    The VSS proof of the signature share
  • privateShareProof string
    The private share proof
  • publicShare string
    The public share
  • from string enum required
    The source of the signature share.
    userbackupbitgo
  • to string enum required
    The recipient of the signature share.
    userbackupbitgo
  • share string required
    The signature share
400
Bad Request

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
401
Unauthorized

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
403
Forbidden

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id
404
Not Found

Response Body

object

  • name string
    Error code
  • context map of objects required
    Properties that apply to a specific error name
    context object
    • <key> object
  • error string required
    Human-readable error message
  • requestId string required
    Client request id